Verify hash chain integrity
curl --request POST \
--url https://api.swarmd.ai/audit/v1/integrity/hashchain/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.swarmd.ai/audit/v1/integrity/hashchain/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swarmd.ai/audit/v1/integrity/hashchain/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"overallStatus": "<string>",
"checkpointsVerified": 123,
"checkpointsFailed": 123,
"eventsVerified": 123,
"timestampsVerified": 123,
"timestampsFailed": 123,
"errors": [
"<string>"
],
"verifiedAt": "2023-11-07T05:31:56Z"
}Audit Integrity
Verify hash chain integrity
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | AUDIT | READ | AUDIT:READ |
POST
/
audit
/
v1
/
integrity
/
hashchain
/
verify
Verify hash chain integrity
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
⌘I
